import { FoundationElement } from '@microsoft/fast-foundation';
export type ActionMenuItem = {
    name: string;
    callback: (rowData: any) => void | any;
    isDisabled?: (rowData: any) => boolean;
    color?: string;
};
export declare class ActionsMenu extends FoundationElement {
    actions: ActionMenuItem[];
    isVertical: boolean;
    addDefaultActions: boolean;
    autoCloseOnAction: boolean;
    classNames: string;
    definition: any;
    name: string;
    open: boolean;
    buttonAppearance: string;
    actionsMenu: HTMLElement;
    protected definitionChanged(oldValue: any, newValue: any): void;
    protected openChanged(): void;
    toggleActionsMenuVisibility(): void;
    onActionMenuItemClick(callback: (rowData: any) => void | any): void;
    get allActions(): ActionMenuItem[];
    get rowData(): any;
}
export declare const foundationActionsMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof ActionsMenu>;
//# sourceMappingURL=actions-menu.d.ts.map