import { Slider as FASTSlider } from '@microsoft/fast-components';
import { foundationSliderStyles as styles } from './slider.styles';
import { foundationSliderTemplate as template } from './slider.template';
export class Slider extends FASTSlider {
}
export const foundationSliderShadowOptions = undefined;
export const defaultSliderConfig = {
    thumb: `
    <div class="thumb-cursor"></div>
  `,
};
export const foundationSlider = Slider.compose(Object.assign({ baseName: 'slider', template,
    styles, shadowOptions: foundationSliderShadowOptions }, defaultSliderConfig));
