import { DialogElement } from '../dialog';
import { foundationModalStyles as styles } from './modal.styles';
import { foundationModalTemplate as template } from './modal.template';
export const foundationModalShadowOptions = {
    mode: 'open',
    delegatesFocus: true,
};
export const defaultModalConfig = {};
export class Modal extends DialogElement {
    show() {
        if (this.onShowCallback)
            this.onShowCallback();
        this.mainElement['showModal']();
    }
}
export const foundationModal = Modal.compose(Object.assign({ baseName: 'modal', styles,
    template, shadowOptions: foundationModalShadowOptions }, defaultModalConfig));
