import { Radio as FASTRadio } from '@microsoft/fast-components';
import { foundationRadioStyles as styles } from './radio.styles';
import { foundationRadioTemplate as template } from './radio.template';
export class Radio extends FASTRadio {
}
export const foundationRadioShadowOptions = undefined;
export const defaultRadioConfig = {
    checkedIndicator: `
    <div part="checked-indicator" class="checked-indicator"></div>
  `,
};
export const foundationRadio = Radio.compose(Object.assign({ baseName: 'radio', template,
    styles, shadowOptions: foundationRadioShadowOptions }, defaultRadioConfig));
